import Vue from 'vue';
import Router from 'vue-router';
import routes from './router';
import Utils from '@/extend/Utils';
import HttpRequest from '@/extend/HttpRequest';

Vue.use(Router);

const router = new Router({
    routes,
    mode: 'history'
});

// 验证路由内 name
const verify_router_list: string[] = ['index', 'other', 'login'];

// 跳转之前
router.beforeEach((to, from, next) => {
     next();
});


// 跳转之后
router.afterEach(to => {
    //
});

export default router;
