import {Component, Vue} from 'vue-property-decorator';
import Http from "../../extend/Http";
import Utils from "../../extend/Utils";
import router from "../../router";
import {Getter, Action} from 'vuex-class';
import {IndexData} from '@/types/views/index.interface';
import Carousel from '@/components/Carousel/Carousel.vue';
// import {  } from "@/components" // 组件

@Component({
    components: {
    },
})
export default class Index extends Vue {
    // data
    data: any = {
        markShow:false,
        appid:'wx98622dc60a8a6abb',
        show: 1,
        bannerlist:'',
    };
    private citycode = localStorage.getItem("citycode");
    private city_name = localStorage.getItem("city_name");

   async created() 
   {
       try {
           let resbanner = await Http.getInstance().getBannerList();
           this.data.bannerlist = resbanner.data;

        //    console.log('created begin.')
        //    let res = await Http.getInstance().getUserInfo();
        //    console.log('index.ts getUserInfo res =', res)
        //    this.citycode = res.data.social_city as string;
        //    this.city_name = res.data.city_name as string;

        //    if (res.data.is_first == 0) {
        //        this.data.markShow = true
        //        let ress = await Http.getInstance().setFirstLogin();
        //    }
        //    else 
        //    {
            //    let isWeiXin = () => { return navigator.userAgent.toLowerCase().indexOf('micromessenger') !== -1 }
            //    if (isWeiXin()) {
            //        console.log(res.data.openid)
            //        if (res.data.openid == null || res.data.openid.length == 0) {
            //            if (!localStorage.getItem('openid')) {
            //                let url = Utils.getInstance().getParams(location.href);
            //                if (url.code) {
            //                    let ress = await Http.getInstance().getWeixinpay({
            //                        code: url.code,
            //                    });
            //                    if (ress.data.openid) {
            //                        let rer = await Http.getInstance().setUserOpenid({
            //                            openid: ress.data.openid
            //                        });
            //                        localStorage.setItem("openid", ress.data.openid);
            //                    }
            //                } else {
            //                    this.getcode();
            //                }
            //            }
            //        } else {
            //            localStorage.setItem("openid", res.data.openid);
            //        }
            //    }

            //    this.data.markShow = false
        //    }
       } catch (error) {
           console.log(error);           
       }    
    }
    async getcode() {
        let redirectURI='https://hr.hemadj.com/index';
        window.location.replace(
            'https://open.weixin.qq.com/connect/oauth2/authorize?appid=' + this.data.appid + '&redirect_uri=' + redirectURI + '&response_type=code&scope=snsapi_base&state=WXPaySTATE#wechat_redirect'
        )
    }
    async close(event: any)
    {
        this.data.markShow = false;
        let isWeiXin = () => { return navigator.userAgent.toLowerCase().indexOf('micromessenger') !== -1 }
        if (isWeiXin()) {
            if(!localStorage.getItem('openid')){
                let url = Utils.getInstance().getParams(location.href);
                if(url.code){
                    let ress = await Http.getInstance().getWeixinpay({
                        code: url.code,
                    });
                    if(ress.data.openid){
                        let rer = await Http.getInstance().setUserOpenid({
                            openid: ress.data.openid
                        });
                        localStorage.setItem("openid", ress.data.openid);
                    }
                }else{
                    this.getcode();
                }
            }
        }
    }
    private isEmpty(obj) {
        if (typeof obj == "undefined" || obj == null || obj == "") {
            return true;
        } else {
            return false;
        }
    }

    private hasLogined() {
        this.data.mobile = localStorage.getItem('mobile')
        this.data.citycode = localStorage.getItem('citycode')
        this.data.city_name = localStorage.getItem('city_name')
        this.data.social_type = localStorage.getItem('social_type');
        this.data.hubie = localStorage.getItem('social_name');

        if (this.isEmpty(this.data.mobile)) {
            return false;
        }
        else {
            return true;
        }
    }

    private hasDetail() {
        let citycode = localStorage.getItem('citycode');
        let social_type = localStorage.getItem('social_type');
        let id_card = localStorage.getItem('id_card');
        let realname = localStorage.getItem('realname');

        if (this.isEmpty(realname) || this.isEmpty(id_card) || this.isEmpty(citycode) || this.isEmpty(social_type)) {
            return false;
        }
        else {
            return true;
        }
    }

    checkLogined(to,tip) 
    {
        if (this.hasLogined() == true) 
        {
            if(this.hasDetail() == true) {
                this.$router.push(to);
            } else {
                this.$router.push({ name:'udetail'});
            }            
        } 
        else {
            var ret = confirm(tip);
            if(ret == true) {
                this.$router.push({ name: 'login' });
            } else {

            }           
        }
    }
    yaoqing(){
       this.$router.push('/user/share')
    }
    jiaofei(){
       this.$router.push('/other')
    }
    tanrules(){
         console.log(this.data.show)
        this.$router.push({
            name: "share", params: {
               state: this.data.show
            }
        });
    }
        
    activated() {
    }

    // 初始化函数
    init() {
    }
}
